Sdílet prostřednictvím


DevOps Operation Results - Get

Získejte výsledek dlouhotrvající operace DevOps.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Security/securityConnectors/{securityConnectorName}/devops/default/operationResults/{operationResultId}?api-version=2024-04-01

Parametry identifikátoru URI

Name V Vyžadováno Typ Description
operationResultId
path True

string

ID výsledku operace.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Název skupiny prostředků. Název nerozlišuje malá a velká písmena.

securityConnectorName
path True

string

Název konektoru zabezpečení.

subscriptionId
path True

string

minLength: 1

ID cílového předplatného.

api-version
query True

string

minLength: 1

Verze rozhraní API, která se má použít pro tuto operaci.

Odpovědi

Name Typ Description
200 OK

OperationStatusResult

OK

Other Status Codes

ErrorResponse

Chybová odpověď popisující, proč operace selhala.

Zabezpečení

azure_auth

Azure Active Directory OAuth2 Flow

Typ: oauth2
Tok: implicit
URL autorizace: https://login.microsoftonline.com/common/oauth2/authorize

Rozsahy

Name Description
user_impersonation zosobnění uživatelského účtu

Příklady

Get_DevOpsOperationResults_Failed
Get_DevOpsOperationResults_Succeeded

Get_DevOpsOperationResults_Failed

Ukázkový požadavek

GET https://management.azure.com/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/8d4caace-e7b3-4b3e-af99-73f76829ebcf?api-version=2024-04-01

Ukázková odpověď

{
  "id": "/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/8d4caace-e7b3-4b3e-af99-73f76829ebcf?api-version=2024-04-01",
  "name": "8d4caace-e7b3-4b3e-af99-73f76829ebcf",
  "status": "Failed",
  "startTime": "2023-06-21T03:23:15Z",
  "endTime": "2023-06-21T03:25:15Z",
  "percentComplete": 100,
  "error": {
    "code": "TokenExchangeFailed",
    "message": "AzureDevOps OAuth token exchange failed"
  }
}

Get_DevOpsOperationResults_Succeeded

Ukázkový požadavek

GET https://management.azure.com/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/4e826cf1-5c36-4808-a7d2-fb4f5170978b?api-version=2024-04-01

Ukázková odpověď

{
  "id": "/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/4e826cf1-5c36-4808-a7d2-fb4f5170978b?api-version=2024-04-01",
  "name": "4e826cf1-5c36-4808-a7d2-fb4f5170978b",
  "status": "Succeeded",
  "startTime": "2023-06-21T03:23:15Z",
  "endTime": "2023-06-21T03:25:15Z",
  "percentComplete": 100
}

Definice

Name Description
ErrorAdditionalInfo

Další informace o chybě správy prostředků

ErrorDetail

Podrobnosti o chybě.

ErrorResponse

Chybová odpověď

OperationStatusResult

Aktuální stav asynchronní operace.

ErrorAdditionalInfo

Další informace o chybě správy prostředků

Name Typ Description
info

object

Další informace.

type

string

Další typ informací.

ErrorDetail

Podrobnosti o chybě.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Další informace o chybě.

code

string

Kód chyby.

details

ErrorDetail[]

Podrobnosti o chybě.

message

string

Chybová zpráva.

target

string

Cíl chyby.

ErrorResponse

Chybová odpověď

Name Typ Description
error

ErrorDetail

Objekt chyby.

OperationStatusResult

Aktuální stav asynchronní operace.

Name Typ Description
endTime

string (date-time)

Čas ukončení operace.

error

ErrorDetail

Pokud je k dispozici, podrobnosti o chybě operace.

id

string

Plně kvalifikované ID pro asynchronní operaci.

name

string

Název asynchronní operace.

operations

OperationStatusResult[]

Seznam operací.

percentComplete

number

minimum: 0
maximum: 100

Procento dokončené operace

startTime

string (date-time)

Počáteční čas operace.

status

string

Stav operace.